import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTemplateApp } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:10
 */
interface DevopsTemplateAppCU extends ConditionUtil<DevopsTemplateAppCU> {
    ID: FieldUtil<DevopsTemplateAppCU>;
    TEMPLATE_ID: FieldUtil<DevopsTemplateAppCU>;
    APP_ID: FieldUtil<DevopsTemplateAppCU>;
    SORT_INDEX: FieldUtil<DevopsTemplateAppCU>;
    CREATE_TIME: FieldUtil<DevopsTemplateAppCU>;
    UPDATE_TIME: FieldUtil<DevopsTemplateAppCU>;
    ENABLED: FieldUtil<DevopsTemplateAppCU>;
}
declare class DevopsTemplateAppMU extends TableUtilImpl<DevopsTemplateAppCU, DevopsTemplateApp> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTemplateAppCU;
    static get ID(): FieldUtil<DevopsTemplateAppCU>;
    static get TEMPLATE_ID(): FieldUtil<DevopsTemplateAppCU>;
    static get APP_ID(): FieldUtil<DevopsTemplateAppCU>;
    static get SORT_INDEX(): FieldUtil<DevopsTemplateAppCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTemplateAppCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTemplateAppCU>;
    static get ENABLED(): FieldUtil<DevopsTemplateAppCU>;
    static get APP_NAME(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
    static get CURRENT_VERSION(): FieldInfo;
    static get HEALTH_URL(): FieldInfo;
    static get HOST_IP(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsTemplateAppCU>;
    get TEMPLATE_ID(): FieldUtil<DevopsTemplateAppCU>;
    get APP_ID(): FieldUtil<DevopsTemplateAppCU>;
    get SORT_INDEX(): FieldUtil<DevopsTemplateAppCU>;
    get CREATE_TIME(): FieldUtil<DevopsTemplateAppCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTemplateAppCU>;
    get ENABLED(): FieldUtil<DevopsTemplateAppCU>;
    get APP_NAME(): FieldInfo;
    get APP_TYPE(): FieldInfo;
    get CURRENT_VERSION(): FieldInfo;
    get HEALTH_URL(): FieldInfo;
    get HOST_IP(): FieldInfo;
    get INSTANCE_ID(): FieldInfo;
    get INSTANCE_NAME(): FieldInfo;
}
export { DevopsTemplateAppMU, DevopsTemplateAppCU };
